# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/timecat/PycharmProjects/charfinder-gui/charfinder/UI/searchCharacterDialog.ui'
#
# Created by: PyQt5 UI code generator 5.14.0
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_SearchChacterDialog(object):
    def setupUi(self, SearchChacterDialog):
        SearchChacterDialog.setObjectName("SearchChacterDialog")
        SearchChacterDialog.resize(785, 493)
        self.gridLayout = QtWidgets.QGridLayout(SearchChacterDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.filters_label = QtWidgets.QLabel(SearchChacterDialog)
        self.filters_label.setObjectName("filters_label")
        self.verticalLayout_5.addWidget(self.filters_label, 0, QtCore.Qt.AlignHCenter)
        self.scrollArea = QtWidgets.QScrollArea(SearchChacterDialog)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, -287, 175, 696))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.scrollAreaWidgetContents)
        self.verticalLayout.setObjectName("verticalLayout")
        self.filter_name = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_name.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_name.setObjectName("filter_name")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.filter_name)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.name_label = QtWidgets.QLabel(self.filter_name)
        self.name_label.setObjectName("name_label")
        self.verticalLayout_2.addWidget(self.name_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.name_checkBox = QtWidgets.QCheckBox(self.filter_name)
        self.name_checkBox.setText("")
        self.name_checkBox.setObjectName("name_checkBox")
        self.horizontalLayout_6.addWidget(self.name_checkBox)
        self.name_lineEdit = QtWidgets.QLineEdit(self.filter_name)
        self.name_lineEdit.setEnabled(False)
        self.name_lineEdit.setObjectName("name_lineEdit")
        self.horizontalLayout_6.addWidget(self.name_lineEdit)
        self.verticalLayout_2.addLayout(self.horizontalLayout_6)
        self.verticalLayout.addWidget(self.filter_name)
        self.filter_alignment = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_alignment.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_alignment.setObjectName("filter_alignment")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.filter_alignment)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.alignment_label = QtWidgets.QLabel(self.filter_alignment)
        self.alignment_label.setObjectName("alignment_label")
        self.verticalLayout_3.addWidget(self.alignment_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.alignment_checkBox = QtWidgets.QCheckBox(self.filter_alignment)
        self.alignment_checkBox.setText("")
        self.alignment_checkBox.setObjectName("alignment_checkBox")
        self.horizontalLayout_7.addWidget(self.alignment_checkBox)
        self.alignment_lineEdit = QtWidgets.QLineEdit(self.filter_alignment)
        self.alignment_lineEdit.setEnabled(False)
        self.alignment_lineEdit.setObjectName("alignment_lineEdit")
        self.horizontalLayout_7.addWidget(self.alignment_lineEdit)
        self.verticalLayout_3.addLayout(self.horizontalLayout_7)
        self.verticalLayout.addWidget(self.filter_alignment)
        self.filter_deity = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_deity.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_deity.setObjectName("filter_deity")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.filter_deity)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.deity_label = QtWidgets.QLabel(self.filter_deity)
        self.deity_label.setObjectName("deity_label")
        self.verticalLayout_4.addWidget(self.deity_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.deity_checkBox = QtWidgets.QCheckBox(self.filter_deity)
        self.deity_checkBox.setText("")
        self.deity_checkBox.setObjectName("deity_checkBox")
        self.horizontalLayout_8.addWidget(self.deity_checkBox)
        self.deity_lineEdit = QtWidgets.QLineEdit(self.filter_deity)
        self.deity_lineEdit.setEnabled(False)
        self.deity_lineEdit.setObjectName("deity_lineEdit")
        self.horizontalLayout_8.addWidget(self.deity_lineEdit)
        self.verticalLayout_4.addLayout(self.horizontalLayout_8)
        self.verticalLayout.addWidget(self.filter_deity)
        self.filter_homeland = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_homeland.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_homeland.setObjectName("filter_homeland")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.filter_homeland)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.homeland_label = QtWidgets.QLabel(self.filter_homeland)
        self.homeland_label.setObjectName("homeland_label")
        self.verticalLayout_6.addWidget(self.homeland_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.homeland_checkBox = QtWidgets.QCheckBox(self.filter_homeland)
        self.homeland_checkBox.setText("")
        self.homeland_checkBox.setObjectName("homeland_checkBox")
        self.horizontalLayout_9.addWidget(self.homeland_checkBox)
        self.homeland_lineEdit = QtWidgets.QLineEdit(self.filter_homeland)
        self.homeland_lineEdit.setEnabled(False)
        self.homeland_lineEdit.setObjectName("homeland_lineEdit")
        self.horizontalLayout_9.addWidget(self.homeland_lineEdit)
        self.verticalLayout_6.addLayout(self.horizontalLayout_9)
        self.verticalLayout.addWidget(self.filter_homeland)
        self.filter_race = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_race.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_race.setObjectName("filter_race")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.filter_race)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.race_label = QtWidgets.QLabel(self.filter_race)
        self.race_label.setObjectName("race_label")
        self.verticalLayout_7.addWidget(self.race_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        self.race_checkBox = QtWidgets.QCheckBox(self.filter_race)
        self.race_checkBox.setText("")
        self.race_checkBox.setObjectName("race_checkBox")
        self.horizontalLayout_10.addWidget(self.race_checkBox)
        self.race_lineEdit = QtWidgets.QLineEdit(self.filter_race)
        self.race_lineEdit.setEnabled(False)
        self.race_lineEdit.setObjectName("race_lineEdit")
        self.horizontalLayout_10.addWidget(self.race_lineEdit)
        self.verticalLayout_7.addLayout(self.horizontalLayout_10)
        self.verticalLayout.addWidget(self.filter_race)
        self.filter_size = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_size.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_size.setObjectName("filter_size")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.filter_size)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.size_label = QtWidgets.QLabel(self.filter_size)
        self.size_label.setObjectName("size_label")
        self.verticalLayout_8.addWidget(self.size_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        self.size_checkBox = QtWidgets.QCheckBox(self.filter_size)
        self.size_checkBox.setText("")
        self.size_checkBox.setObjectName("size_checkBox")
        self.horizontalLayout_11.addWidget(self.size_checkBox)
        self.size_lineEdit = QtWidgets.QLineEdit(self.filter_size)
        self.size_lineEdit.setEnabled(False)
        self.size_lineEdit.setObjectName("size_lineEdit")
        self.horizontalLayout_11.addWidget(self.size_lineEdit)
        self.verticalLayout_8.addLayout(self.horizontalLayout_11)
        self.verticalLayout.addWidget(self.filter_size)
        self.filter_gender = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_gender.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_gender.setObjectName("filter_gender")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.filter_gender)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.gender_label = QtWidgets.QLabel(self.filter_gender)
        self.gender_label.setObjectName("gender_label")
        self.verticalLayout_9.addWidget(self.gender_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        self.gender_checkBox = QtWidgets.QCheckBox(self.filter_gender)
        self.gender_checkBox.setText("")
        self.gender_checkBox.setObjectName("gender_checkBox")
        self.horizontalLayout_12.addWidget(self.gender_checkBox)
        self.gender_lineEdit = QtWidgets.QLineEdit(self.filter_gender)
        self.gender_lineEdit.setEnabled(False)
        self.gender_lineEdit.setObjectName("gender_lineEdit")
        self.horizontalLayout_12.addWidget(self.gender_lineEdit)
        self.verticalLayout_9.addLayout(self.horizontalLayout_12)
        self.verticalLayout.addWidget(self.filter_gender)
        self.filter_hair = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_hair.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_hair.setObjectName("filter_hair")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.filter_hair)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.hair_label = QtWidgets.QLabel(self.filter_hair)
        self.hair_label.setObjectName("hair_label")
        self.verticalLayout_10.addWidget(self.hair_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_13 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_13.setObjectName("horizontalLayout_13")
        self.hair_checkBox = QtWidgets.QCheckBox(self.filter_hair)
        self.hair_checkBox.setText("")
        self.hair_checkBox.setObjectName("hair_checkBox")
        self.horizontalLayout_13.addWidget(self.hair_checkBox)
        self.hair_lineEdit = QtWidgets.QLineEdit(self.filter_hair)
        self.hair_lineEdit.setEnabled(False)
        self.hair_lineEdit.setObjectName("hair_lineEdit")
        self.horizontalLayout_13.addWidget(self.hair_lineEdit)
        self.verticalLayout_10.addLayout(self.horizontalLayout_13)
        self.verticalLayout.addWidget(self.filter_hair)
        self.filter_eyes = QtWidgets.QWidget(self.scrollAreaWidgetContents)
        self.filter_eyes.setMaximumSize(QtCore.QSize(16777215, 84))
        self.filter_eyes.setObjectName("filter_eyes")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.filter_eyes)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.eyes_label = QtWidgets.QLabel(self.filter_eyes)
        self.eyes_label.setObjectName("eyes_label")
        self.verticalLayout_11.addWidget(self.eyes_label, 0, QtCore.Qt.AlignHCenter)
        self.horizontalLayout_14 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_14.setObjectName("horizontalLayout_14")
        self.eyes_checkBox = QtWidgets.QCheckBox(self.filter_eyes)
        self.eyes_checkBox.setText("")
        self.eyes_checkBox.setObjectName("eyes_checkBox")
        self.horizontalLayout_14.addWidget(self.eyes_checkBox)
        self.eyes_lineEdit = QtWidgets.QLineEdit(self.filter_eyes)
        self.eyes_lineEdit.setEnabled(False)
        self.eyes_lineEdit.setObjectName("eyes_lineEdit")
        self.horizontalLayout_14.addWidget(self.eyes_lineEdit)
        self.verticalLayout_11.addLayout(self.horizontalLayout_14)
        self.verticalLayout.addWidget(self.filter_eyes)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.verticalLayout_5.addWidget(self.scrollArea)
        self.gridLayout.addLayout(self.verticalLayout_5, 0, 0, 1, 1)
        self.charactersTable = QtWidgets.QTableWidget(SearchChacterDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(4)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.charactersTable.sizePolicy().hasHeightForWidth())
        self.charactersTable.setSizePolicy(sizePolicy)
        self.charactersTable.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.charactersTable.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.charactersTable.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.charactersTable.setObjectName("charactersTable")
        self.charactersTable.setColumnCount(10)
        self.charactersTable.setRowCount(0)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(2, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(3, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(4, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(5, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(6, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(7, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(8, item)
        item = QtWidgets.QTableWidgetItem()
        self.charactersTable.setHorizontalHeaderItem(9, item)
        self.charactersTable.horizontalHeader().setCascadingSectionResizes(False)
        self.charactersTable.horizontalHeader().setHighlightSections(False)
        self.gridLayout.addWidget(self.charactersTable, 0, 1, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.okButton = QtWidgets.QPushButton(SearchChacterDialog)
        self.okButton.setEnabled(False)
        self.okButton.setObjectName("okButton")
        self.horizontalLayout.addWidget(self.okButton)
        self.cancelButton = QtWidgets.QPushButton(SearchChacterDialog)
        self.cancelButton.setObjectName("cancelButton")
        self.horizontalLayout.addWidget(self.cancelButton)
        self.gridLayout.addLayout(self.horizontalLayout, 1, 1, 1, 1)

        self.retranslateUi(SearchChacterDialog)
        QtCore.QMetaObject.connectSlotsByName(SearchChacterDialog)

    def retranslateUi(self, SearchChacterDialog):
        _translate = QtCore.QCoreApplication.translate
        SearchChacterDialog.setWindowTitle(_translate("SearchChacterDialog", "Search Characters"))
        self.filters_label.setText(_translate("SearchChacterDialog", "FILTERS"))
        self.name_label.setText(_translate("SearchChacterDialog", "Name"))
        self.alignment_label.setText(_translate("SearchChacterDialog", "Alignment"))
        self.deity_label.setText(_translate("SearchChacterDialog", "Deity"))
        self.homeland_label.setText(_translate("SearchChacterDialog", "Homeland"))
        self.race_label.setText(_translate("SearchChacterDialog", "Race"))
        self.size_label.setText(_translate("SearchChacterDialog", "Size"))
        self.gender_label.setText(_translate("SearchChacterDialog", "Gender"))
        self.hair_label.setText(_translate("SearchChacterDialog", "Hair"))
        self.eyes_label.setText(_translate("SearchChacterDialog", "Eyes"))
        item = self.charactersTable.horizontalHeaderItem(0)
        item.setText(_translate("SearchChacterDialog", "Name"))
        item = self.charactersTable.horizontalHeaderItem(1)
        item.setText(_translate("SearchChacterDialog", "Full name"))
        item = self.charactersTable.horizontalHeaderItem(2)
        item.setText(_translate("SearchChacterDialog", "Alignment"))
        item = self.charactersTable.horizontalHeaderItem(3)
        item.setText(_translate("SearchChacterDialog", "Deity"))
        item = self.charactersTable.horizontalHeaderItem(4)
        item.setText(_translate("SearchChacterDialog", "Homeland"))
        item = self.charactersTable.horizontalHeaderItem(5)
        item.setText(_translate("SearchChacterDialog", "Race"))
        item = self.charactersTable.horizontalHeaderItem(6)
        item.setText(_translate("SearchChacterDialog", "Size"))
        item = self.charactersTable.horizontalHeaderItem(7)
        item.setText(_translate("SearchChacterDialog", "Gender"))
        item = self.charactersTable.horizontalHeaderItem(8)
        item.setText(_translate("SearchChacterDialog", "Hair"))
        item = self.charactersTable.horizontalHeaderItem(9)
        item.setText(_translate("SearchChacterDialog", "Eyes"))
        self.okButton.setText(_translate("SearchChacterDialog", "OK"))
        self.cancelButton.setText(_translate("SearchChacterDialog", "Cancel"))
